about summary refs log tree commit diff
path: root/corepkgs
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2003-07-16T20·00+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2003-07-16T20·00+0000
commit9d56ca219fb7af1c209458f81a8ce35a1b6afd28 (patch)
treef30d9c4f8ed84edaf1d16298ac8dcb2d2b9e2ecc /corepkgs
parentb9ecadee6e32eddac07d09a228f0dda2b340c7ac (diff)
* Substitute fixes.
Diffstat (limited to 'corepkgs')
-rw-r--r--corepkgs/fetchurl/fetchurl.sh8
-rw-r--r--corepkgs/nar/nar.sh2
2 files changed, 6 insertions, 4 deletions
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh
index 7b6243974d3f..1479e898b936 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh
@@ -4,7 +4,9 @@ echo "downloading $url into $out..."
 wget "$url" -O "$out" || exit 1
 
 actual=$(md5sum -b $out | cut -c1-32)
-if ! test "$actual" == "$md5"; then
-    echo "hash is $actual, expected $md5"
-    exit 1
+if ! test "$md5" == "ignore"; then
+    if ! test "$actual" == "$md5"; then
+	echo "hash is $actual, expected $md5"
+	exit 1
+    fi
 fi
diff --git a/corepkgs/nar/nar.sh b/corepkgs/nar/nar.sh
index 3dbeed02952f..059bca8ba134 100644
--- a/corepkgs/nar/nar.sh
+++ b/corepkgs/nar/nar.sh
@@ -1,3 +1,3 @@
 #! /bin/sh
 
-/tmp/nix/bin/nix --dump --file "$path" | bzip2 > $out || exit 1
+/nix/bin/nix --dump --file "$path" | bzip2 > $out || exit 1